
<?php
 
 include_once('conexao.php');
 include_once('DAO/DAOfuncoes.php');
 $Daofuncoes  = new Daofuncoes();	
	
	$result =  $Daofuncoes->Listarfuncoes();
		
		foreach($result as $row){
			
		  if(!empty($row["fun_imagem"])){
				$imagem1="uploads/funcoes/".$row["fun_imagem"];
				
			}else{
				$imagem1="images/produto_sem_imagem.gif";
				
			}
			
			$json[] = array(
				$row["fun_id"],
				$row["fun_titulo"], 
				$row["fun_descricao"], 
			
				'<a href="#" onClick="ampliaimagem('."'".$row["fun_imagem"]."'".')" title="Clique aqui para ampliar" data-toggle="modal" data-target="#myModalImagem" ><img src="'.$imagem1.'" width="70" height="60" style="border-radius: 1%;" /></a>',
				
				
				
		
				date("d/m/Y H:i", strtotime($row["fun_dt_cadastro"])),
				 

				'<a href="view-funcoes.php?acao=editar&fun_id='.$row["fun_id"].'" data-toggle="tooltip" title="Editar">
				<button type="button" class="btn btn-info btn-sm"><span class="ft-edit-2" aria-hidden="true"></span></button>
				</a>
			 
				<a href="javascript:void(0)" onclick="deletar_registro('."'".$row["fun_id"]."'".','."'".$row["fun_titulo"]."'".')" data-toggle="tooltip" title="Excluir" > 
				<button type="button" class="btn btn-danger btn-sm"><span class="ft-trash-2" aria-hidden="true"></span></button>
				</a>'
			);
		}
		$response = array();

		$response['aaData'] = $json;
		echo json_encode($response);

     
?>


                                   


